MetacatUI - Feature #6832

Use /packages endpoint (with Metacat 2.5.0)
08/19/2015 11:01 AM - Lauren Walker

Status: Resolved Start date: 08/19/2015
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.8.0 Spent time: 0.00 hour
Bugzilla-ld:

Description

MetacatUI 1.7.2 should have the option to use Metacat 2.5.0, which will use the /packages endpoint instead of /package.

History

#1 - 08/19/2015 11:08 AM - Lauren Walker
- Subject changed from Add option to use /packages endpoint with Metacat 2.5.0 to Use /packages endpoint (with Metacat 2.5.0)

- Target version changed from 1.7.2 to 1.8.0

Changing to 1.8.0 since | wouldn't want to break someone's MetacatUl installation when they update to the latest 1.7.X version

#2 - 10/12/2015 05:13 PM - Lauren Walker

- Status changed from New to Resolved

There are different combinations of Metacat versions, DataONE API versions, and DataONE node types (MN vs CN) that MetacatUl can use. So
MetacatUI will need to check the combination in use and set the package service URL appropriately. This makes it easier for the user to configure
MetacatUI - they just need to know the base URL of the MN or CN, the API version, and the Metacat version, if using Metacat.

When MetacatUl is set up for a DataONE CN, such as the instance that will be released at search.dataone.org, MetacatUI will need to check the

source MN for each package, check if that MN has v2 MnRead service, and if so, then use the /packages/formatld/ld syntax using the MN's
baseURL. So some packages will be available for download via MetacatUl and some won't.

#3 - 11/04/2015 12:49 PM - Lauren Walker
- Target version changed from 1.8.0 to 1.12.0

#4 - 11/04/2015 12:49 PM - Lauren Walker

- Target version changed from 1.12.0 to 1.9.0

#5 - 11/04/2015 02:12 PM - Lauren Walker

- Target version changed from 1.9.0 to 1.8.0
